import { connect } from "react-redux";
import { GoogleLogout } from "react-google-login";
import { logout } from "../../actions/session_actions";
import keys from "../../config/keys_dev";

const clientId = keys.clientId;

const Logout = ({ logout }) => {
  const responseGoogle = (googleResponse) => {
    logout();
  };

  return (
    <div>
      <GoogleLogout
        clientId={clientId}
        buttonText="Logout"
        onLogoutSuccess={responseGoogle}
      />
    </div>
  );
};

const mapStateToProps = (state) => ({});

const mapDispatchToProps = (dispatch) => ({
  logout: () => dispatch(logout()),
});

export default connect(mapStateToProps, mapDispatchToProps)(Logout);
