package com.ascendfinalproject.warehouse.controllers;

import com.ascendfinalproject.warehouse.models.Session;
import com.ascendfinalproject.warehouse.services.SessionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

@RestController
@RequestMapping(value = "/api")
public class SessionController {

    @Autowired
    SessionService sessionService;

    @CrossOrigin
    @PostMapping(value = "/auth")
    public ResponseEntity<Session> authenticate(@RequestBody Session session) {
        return sessionService.authenticate(session);
    }

}
