package com.ascendfinalproject.warehouse.models;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;


@Getter
@Setter
public class Item {

    private String itemId;
    private String itemName;
    private int itemQuantity;
    private double itemPrice;
    private int itemSku;

    public Item(String itemId, String itemName, int itemQuantity, double itemPrice, int itemSku) {
        this.itemId = itemId;
        this.itemName = itemName;
        this.itemQuantity = itemQuantity;
        this.itemPrice = itemPrice;
        this.itemSku = itemSku;
    }
}
