package com.ascendfinalproject.warehouse.models;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class WarehouseOrder {
  @Id
  private String id;
  private String orderId;
  private String status;
  private Date createdAt;
  private Date modifiedAt;
  private List<Item> orderItems;
  private String address;

  public WarehouseOrder() {
  }
}
