const Input = ({
  className,
  type,
  placeholder,
  value,
  onChange,
  onBlur,
  onKeyPress,
}) => (
  <input
    type={type || "text"}
    className={className}
    placeholder={placeholder}
    value={value}
    onChange={onChange}
    onBlur={onBlur}
    onKeyPress={onKeyPress}
  />
);

export default Input;
