import { LOGIN_USER, LOGOUT_USER } from "../../actions/session_actions";

const initialState = {
  isAuthenticated: false,
  user: null
}

const SessionState = (oldState = initialState, action) => {
  Object.freeze(oldState);
  switch (action.type) {
    case LOGIN_USER:
      return {
        isAuthenticated: !!action.user,
        user: action.user,
      }
    case LOGOUT_USER:
      return initialState;
    default:
      return oldState;
  }
}

export default SessionState;