package com.ascendfinalproject.warehouse.models;

import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Getter
@Setter
public class OrderResponse {

    private List<String> allIds = new ArrayList<>();
    private Map<String, WarehouseOrder> byId = new HashMap<>();

    public void appendId(String id) {
        allIds.add(id);
    }

    public void addOrder(WarehouseOrder order) {
        byId.put(order.getId(), order);
    }

    @Override
    public String toString() {
        return "OrderResponse{" +
                "allIds=" + allIds +
                ", byId=" + byId +
                '}';
    }
}
